#ifndef DOUBLEVALIDATOR_H
#define DOUBLEVALIDATOR_H

#include <QDoubleValidator>

class DoubleValidator : public QDoubleValidator
{
	Q_OBJECT

public:
	DoubleValidator(double bottom, double top, int decimals, QObject * parent = nullptr);
	~DoubleValidator();

	DoubleValidator::State validate(QString &s, int &i) const override;
};

#endif // DOUBLEVALIDATOR_H
